// 导出一个函数，这个函数接受数据库对象db和一个回调函数callback作为参数
module.exports = function(db, callback) {
    // 用户模型
    // 使用db.define方法定义一个模型，模型名为GoodAttributeModel
    db.define("GoodAttributeModel", {
        // 定义模型的属性
        id: {type: 'serial', key: true}, // 主键ID，自增序列
        goods_id: Number, // 商品ID，类型为数字
        attr_id: Number, // 属性ID，类型为数字
        attr_value: String, // 属性值，类型为字符串
        add_price: Number // 附加价格，类型为数字
    }, {
        // 定义模型的选项
        table: "sp_goods_attr" // 指定模型对应的数据库表名为sp_goods_attr
    });
    // 调用回调函数，传入无参数
    return callback();
}